Subject: [tcpm] Re: draft-ietf-tcpm-tcp-antispoof-01.txt

From: Joe Touch <[email-masked]>
Date: Sat, 08 Oct 2005 16:59:25 -0700

In advance of submitting an update, some notes below. All others have
been incorporated (to the best of my ability, at least):

Pekka Savola wrote:
...
> [on GTSM]
>     This restricts traffic
>    to one hop upstream of the receiver, but those hops could include
>    other user programs at those nodes or any traffic those nodes accept
>    via tunnels - because tunnels need not decrement TTLs [26].
> 
> ==> I assume _those nodes_ in "those nodes accept via tunnels" refers to
> your peers.  If so, this doesn't seem 100% correct, because IP tunneling
> solutions do decrement the hop limit when they forward traffic out from the
> tunnel.  (There is extensive discussion of this in the security
> considerations of the GTSM spec.)

The GTSM spec also notes cases where this fails, which are the ones I'm
referring to (end sec 5.1), and which I'll cite more directly.

> 8.1. Normative References
> 
>    As this is not a standards document, this section has no meaning.
> 
> ==> Normative means more than just what's what's MUST or MUST not for a
> standard document.  It also means 1) "documents which should be read and
> understood by the reader of this document in order to understand this
> document" and 2) "documents which should be published as stable references
> before this document gets published as RFC".
> 
> I think there are a number of references in category 1).  There are also a
> couple of others in category 2),e.g., tcpmd5app-01, ikev2/AH, dccp.

Although I personally agree with you (esp. w.r.t. #1) I've had this
debate before, and my understanding is that "normative" in the IETF
means "refers to a standard to enable a a specificiation". Since this
isn't a spec (standards track), there can be no normative refs.

If that's not the case, however, somebody in authority holler. ;-)

My original wording was a bit sarcastic in response to that
understanding, so it has been downgraded to 'None.'

Joe
_______________________________________________
tcpm mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tcpm